# tuple File Reference

## Detailed Description

This is a TR1 C++ Library header.

Definition in file tuple.

Go to the source code of this file.

## Namespaces

- namespace std
- namespace std::tr1

## Classes

- struct std::tr1::__add_c_ref< _Tp >
- struct std::tr1::__add_c_ref< _Tp & >
- struct std::tr1::__add_ref< _Tp >
- struct std::tr1::__add_ref< _Tp & >
- struct std::tr1::__strip_reference_wrapper< _Tp >
- struct std::tr1::__strip_reference_wrapper< const reference_wrapper< _Tp > >
- struct std::tr1::__strip_reference_wrapper< reference_wrapper< _Tp > >
- struct std::tr1::__tuple_compare< 0, __i, __i, _Tp, _Up >
- struct std::tr1::__tuple_compare< 0, __i, __j, _Tp, _Up >
- struct std::tr1::_NullClass
- struct std::tr1::swallow_assign

## Defines

- #define _GLIBCXX_CAT(x, y)
- #define _GLIBCXX_CAT2(x, y)
- #define _GLIBCXX_REPEAT_HEADER
- #define _SHORT_REPEAT
- #define _TR1_TUPLE

## Variables

- swallow_assign std::tr1::ignore